summaryrefslogtreecommitdiffstats
path: root/xawtv
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-10 21:23:06 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-10 21:23:06 +0000
commit575ec5c3c0ec832f52f472b6793e1f2662940db5 (patch)
tree585e6bd70fcd9d49fde9939026a71e3efb0eef5b /xawtv
parente82ada68b3a2108118c33828283a85b61f301cce (diff)
downloadasb-575ec5c3c0ec832f52f472b6793e1f2662940db5.tar.gz
asb-575ec5c3c0ec832f52f472b6793e1f2662940db5.tar.xz
Initial revision
Diffstat (limited to 'xawtv')
-rw-r--r--xawtv/build/README.overlay9
-rw-r--r--xawtv/build/slack-desc19
-rwxr-xr-xxawtv/build/xawtv.SlackBuild160
3 files changed, 188 insertions, 0 deletions
diff --git a/xawtv/build/README.overlay b/xawtv/build/README.overlay
new file mode 100644
index 00000000..f195a6c8
--- /dev/null
+++ b/xawtv/build/README.overlay
@@ -0,0 +1,9 @@
+When running "xawtv -c /dev/video0" returns errors about the device not
+supporting overlay mode, and the xawtv window stays black, you can try the
+following command line:
+
+xawtv -noxv -remote -c /dev/video0
+
+This will give you a picture, because it disables XV and the overlay.
+The reason for not working with XV extension and overlay may have to do with
+a bug in the Nvidia proprietary driver.
diff --git a/xawtv/build/slack-desc b/xawtv/build/slack-desc
new file mode 100644
index 00000000..be5ed4df
--- /dev/null
+++ b/xawtv/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xawtv: xawtv (Tv and webcam application suite)
+xawtv:
+xawtv: Xawtv is a small suite of video4linux related software, with
+xawtv: video recording capabilities and serveral useful command line tools.
+xawtv:
+xawtv:
+xawtv:
+xawtv:
+xawtv:
+xawtv: xawtv lives at http://bytesex.org/xawtv/
+xawtv:
diff --git a/xawtv/build/xawtv.SlackBuild b/xawtv/build/xawtv.SlackBuild
new file mode 100755
index 00000000..65711f3a
--- /dev/null
+++ b/xawtv/build/xawtv.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/sh
+#
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@sox.homeip.net>
+# For: xawtv
+# URL: http://bytesex.org/xawtv/
+# Needs:
+# Changelog:
+# 3.94-1: 01/Aug/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=xawtv
+VERSION=3.94
+ARCH=${ARCH:-i486}
+BUILD=1
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "athlon-xp" ]; then
+ SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xzvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr/X11R6 \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+( cd build
+ which installwatch > /dev/null 2>&1
+ if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log \
+ make DESTDIR=$PKG SUID_ROOT="" install
+ else
+ make DESTDIR=$PKG SUID_ROOT="" install 2>&1 |tee $CWD/install-${PRGNAM}.log
+ fi
+)
+
+# --- DOCUMENTATION ---
+
+DOCS="COPYING Changes TODO README README.* contrib/frequencies*"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/X11R6/man/*/*
+gzip -9f $PKG/usr/X11R6/man/*/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+chmod 4711 $PKG/usr/X11R6/bin/v4l-conf
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi